com.holonplatform.jpa.spring

## Interface SpringJpaDatastore

- All Superinterfaces:
    com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JpaDatastoreCommodityContext>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, JpaDatastore, Serializable

      public interface SpringJpaDatastore
      extends JpaDatastore

  Spring-enabled `JpaDatastore`.

  This `JpaDatastore` uses Spring's shared `EntityManager` architecture to provide seamless integration with Spring transaction management and JPA support.

  Supports `DatastoreResolver` and `DatastoreCommodityFactory` annotated beans automatic registration.

  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jpa.JpaDatastore

      `JpaDatastore.Builder<D extends JpaDatastore>, JpaDatastore.EntityManagerFinalizer, JpaDatastore.EntityManagerInitializer, JpaDatastore.EntityManagerOperation<R>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType, com.holonplatform.core.datastore.Datastore.WriteOption`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.datastore.jpa.JpaDatastore

      `QUERY_PARAMETER_LOCK_MODE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaDatastore.Builder<SpringJpaDatastore>` | `builder()` Get a builder to create a `SpringJpaDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.JpaDatastore

      `withEntityManager`

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, create, delete, getAvailableCommodities, insert, query, refresh, save, update`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, getExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

- - ### Method Detail

    - #### builder

          static JpaDatastore.Builder<SpringJpaDatastore> builder()

      Get a builder to create a `SpringJpaDatastore` instance.
      Specified by:
        `builder` in interface `JpaDatastore`
      Returns:
        Datastore builder

Copyright © 2017 The Holon Platform. All rights reserved.